%define		tarname	Mako

Summary:	Mako template library for Python

Name:		python-mako
Version:	1.0.3
Release:	1
Group:		Development/Python
License:	MIT
URL:		http://www.makotemplates.org/
Source0:	https://pypi.python.org/packages/source/M/Mako/Mako-%{version}.tar.gz
BuildArch:	noarch
Requires:	python-beaker >= 1.1
Requires:	python-markupsafe >= 0.9.2
BuildRequires:	python-setuptools
BuildRequires:	python-nose
BuildRequires:	python-beaker
BuildRequires:	python-markupsafe
BuildRequires:	python-devel

%description
Mako is a template library written in Python. It provides a familiar, non-XML
syntax which compiles into Python modules for maximum performance. Mako's
syntax and API borrows from the best ideas of many others, including Django
templates, Cheetah, Myghty, and Genshi. Conceptually, Mako is an embedded
Python (i.e. Python Server Page) language, which refines the familiar ideas of
componentized layout and inheritance to produce one of the most straightforward
and flexible models available, while also maintaining close ties to Python
calling and scoping semantics.

%prep
%setup -qn %{tarname}-%{version}

%install
PYTHONDONTWRITEBYTECODE=  python setup.py install --root %{buildroot}

#check
#__python setup.py test

%files
%doc CHANGES LICENSE README.rst doc examples
%{_bindir}/mako-render
%{py_puresitedir}/mako
%{py_puresitedir}/Mako*

%changelog

* Mon Dec 28 2015 dsilakov <denis.silakov@rosalab.ru> 1.0.3-1
- (a67f832) Merge pull request #4 from import/python-mako:auto_update
- (a67f832) Updated to 1.0.3 (by updates_builder)


